/*
 * BEGIN FLOCK GPL
 *
 * Copyright Flock Inc. 2005-2009
 * http://flock.com
 *
 * This file may be used under the terms of the
 * GNU General Public License Version 2 or later (the "GPL"),
 * http://www.gnu.org/licenses/gpl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * END FLOCK GPL
 */

#include "nsISupports.idl"

interface nsIVariant;

[scriptable, uuid(64fd65b0-f914-4b29-a54c-3481f652c6b8)]
interface flockIMetricsService : nsISupports {
  void report(in AUTF8String aKey, in nsIVariant aValue);

  AString getUserUUID();

  void doFirstRun();

  /* for QA/debugging purposes */
  nsIVariant getCurrentReport();
};
